Bug 13398 - Perl files for rotating collections are missing in installations
Summary: Perl files for rotating collections are missing in installations
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low critical (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-05 08:59 UTC by Josef Moravec
Modified: 2016-06-21 21:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13398: rotating collections scripts are skipped on install (1.56 KB, patch)
2014-12-11 14:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13398: rotating collections scripts are skipped on install (1.63 KB, patch)
2014-12-15 06:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13398: rotating collections scripts are skipped on install (1.70 KB, patch)
2014-12-16 08:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2014-12-05 08:59:21 UTC
In Koha 3.18 installed from Debian package are missing all 4 perl script for rotating collections.

I've extracted the .deb file and these files are missing there too.

Template files are OK.
Comment 1 Katrin Fischer 2014-12-11 13:35:30 UTC
This one is quite bad - rotating collections is one of the main new features... and it's missing from the packages.
Comment 2 Tomás Cohen Arazi 2014-12-11 14:58:14 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-15 06:11:55 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2014-12-16 08:54:28 UTC
Created attachment 34449 [details] [review]
[PASSED QA] Bug 13398: rotating collections scripts are skipped on install

This patch makes the Makefile.PL script pick the rotating_collections/
directory for install.

To test:
- Run:
  $ perl Makefile.PL
- Install using either 'standard' or 'single' method.
=> FAIL: Verify that there is no 'rotating_collections' directory
   on the intranet CGI direcory.
- Apply the patch
- Run:
    $ perl Makefile.PL
- Install using either 'standard' or 'single' method.
=> SUCCESS: Verify that there is a 'rotating_collections' directory
   on the intranet CGI direcory.
- Sign off :-D

Regards
Tomas

PS1: Note that it should be enough to check for the rotating_collections files
     on the generated Makefile after 'perl Makefile.PL'.
PS2: The packages use the 'standard' install method to generate the file tree.
     So this patch should fix the packages too.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2014-12-16 08:57:08 UTC
Works as expected.. even built a package with it for the belt and braces approach.

As a side note, this just highlights the need for better packages testing.. there been a few of these with this release..  Sorry Tomas, I'll try harder as one of the few package testers in the future.
Comment 6 Tomás Cohen Arazi 2014-12-17 22:33:04 UTC
Patch pushed to master.
Comment 7 Chris Cormack 2014-12-18 00:06:16 UTC
No string changes, pushed to 3.18.x will be in 3.18.2
Comment 8 Mason James 2014-12-22 19:28:03 UTC
(In reply to Chris Cormack from comment #7)
> No string changes, pushed to 3.18.x will be in 3.18.2

skipping patch for 3.16.x